> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/import-api/importing-csv-and-excel-files/formatting-json-template-files.md).

# Formatting JSON template files

The JSON template is one of the required parameters needed to translate data in CSV or Excel files. The template contains the [API import commands](/api/guides/import-api/import-commands.md) and placeholders that indicate the number of the columns containing the relevant data of the type `${n}`, where `n` is the number of the column.

{% hint style="info" %}
The first column is 1.
{% endhint %}

## Community example

```json
[{
  "resourceType": "Community",
  "identifier": {
    "id": "${n}"
  },
  "parent": {
    "id": "9f01ccd6-3329-49ef-af9a-3e1c9826f731"
  }
}]
```

## Domain example

```json
[{
  "resourceType": "Domain",
  "identifier": {
    "id": "${n}"
  },
  "name": "${n}",
  "description": "${n}",
  "community": {
    "name": "${n}"
  },
  "type": {
    ​"name": "${n}"
  }
}]
```

## Asset example

```json
[{
  "resourceType": "Asset",
  "identifier": {
    "name": "${n}",
    "domain": {
      "name": "${n}",
      "community": {
        "name": "${n}"
      },
    },
  },
  "attributes": {
    "00000000-0000-0000-0000-000000003115": [
      "value": "${n}"
    ]
  }
}]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/guides/import-api/importing-csv-and-excel-files/formatting-json-template-files.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
